Bug 199389 - sysutils/ipmitool: properly link against ports OpenSSL/LibreSSL
Summary: sysutils/ipmitool: properly link against ports OpenSSL/LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks: 195796
  Show dependency treegraph
 
Reported: 2015-04-12 08:30 UTC by Franco Fichtner
Modified: 2015-06-27 19:55 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (steve.polyack)


Attachments
openssl ports includes for makefile (403 bytes, patch)
2015-04-12 08:30 UTC, Franco Fichtner
no flags Details | Diff
Poudriere build log for sysutils/ipmitool (99.07 KB, text/plain)
2015-04-25 13:15 UTC, Bernard Spil
no flags Details
Patch as svn diff (402 bytes, patch)
2015-04-25 13:16 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2015-04-12 08:30:29 UTC
Created attachment 155503 [details]
openssl ports includes for makefile

Background: ipmitool links against base openssl so silently discards the linking to libressl from ports
Comment 1 Bernard Spil freebsd_committer 2015-04-25 13:15:43 UTC
Created attachment 155973 [details]
Poudriere build log for sysutils/ipmitool

Before patching:
# readelf -d work/stage/usr/local/bin/ipmitool
 0x0000000000000001 (NEEDED)             Shared library: [libcrypto.so.7]

After:
 0x0000000000000001 (NEEDED)             Shared library: [libcrypto.so.32]
Comment 2 Bernard Spil freebsd_committer 2015-04-25 13:16:43 UTC
Created attachment 155974 [details]
Patch as svn diff
Comment 3 Franco Fichtner 2015-05-08 08:00:16 UTC
Comment on attachment 155503 [details]
openssl ports includes for makefile

Thanks Bernard, works like a charm.  Will this go in?  :)
Comment 4 Philip M. Gollucci freebsd_committer 2015-06-26 20:27:14 UTC
Take.
Comment 5 Philip M. Gollucci freebsd_committer 2015-06-27 03:35:10 UTC
Maintainer Timeout - 76 days (steve.polyack@intermedix.com)
Comment 6 commit-hook freebsd_committer 2015-06-27 19:52:53 UTC
A commit references this bug:

Author: pgollucci
Date: Sat Jun 27 19:52:44 UTC 2015
New revision: 390727
URL: https://svnweb.freebsd.org/changeset/ports/390727

Log:
  sysutils/ipmitool: properly link against ports OpenSSL/LibreSSL

  PR:                  199389
  Submitted by:        franco@opnsense.org and brnrd
  Approved by:         maintainer timeout (steve.polyack@intermedix.com ; 76 days)

Changes:
  head/sysutils/ipmitool/Makefile